org.apache.http.config

## Class Registry<I>

- java.lang.Object
- - org.apache.http.config.Registry<I>

- All Implemented Interfaces:
    Lookup<I>

      @ThreadSafe
      public final class Registry<I>
      extends Object
      implements Lookup<I>

  Generic registry of items keyed by low-case string ID.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `I` | `lookup(String key)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### lookup

          public I lookup(String key)

      Specified by:
        `lookup` in interface `Lookup<I>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.